[android-components](../../index.md) / [mozilla.components.browser.errorpages](../index.md) / [ErrorPages](./index.md)

# ErrorPages

`object ErrorPages` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/errorpages/src/main/java/mozilla/components/browser/errorpages/ErrorPages.kt#L11)

### Functions

| Name | Summary |
|---|---|
| [createErrorPage](create-error-page.md) | `fun createErrorPage(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, errorType: `[`ErrorType`](../-error-type/index.md)`, uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null, htmlResource: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = R.raw.error_pages, cssResource: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = R.raw.error_style): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Load and generate error page for the given error type and html/css resources |
